program l2c;

uses
  readtxt,
  chanflagstuff,
  bstuff,
  sysutils;


const
  {$ifdef win32}
    pathseperator='\';
  {$else}
    pathseperator='/';
  {$endif}

function getlinefromuser(prompt,default: string) : string;
begin
  if length(default) > 0 then begin
    writeln(prompt+' ('+default+')');
  end else begin
    writeln(prompt);
  end;
  readln(result);
  if result = '' then result := default;
end;
var
  rt         : treadtext;
  t          : textfile;
  lpath      : string;
  bservpath  : string;
  parc       : integer;
  parv       : tparams;
  s          : string;
  firstspace : boolean;
  counter    : integer;
  writepos   : integer;
begin
  bservpath       := getlinefromuser('path for bewareserv','.');
  lpath           := getlinefromuser('path for lightweight','.');
  if bservpath[length(bservpath)] <> pathseperator then bservpath := bservpath+pathseperator;
  if lpath[length(lpath)]         <> pathseperator then lpath     := lpath    +pathseperator;

  readtext_init(rt,lpath+'accounts.0');
  assign(t,bservpath+'channel.channels.ini');
  rewrite(t);
  // skip users section
  repeat
  until copy(readtext_line(rt),1,3)='---';
  repeat
    writeln(t,'[channel]');
    parc := strtok(readtext_line(rt),' ',@parv);
    writeln(t,'name='+parv[0]);
    writeln(t,'flags='+makeflagstr(chanflagtable,maxchanflagtable,strtoint(parv[5])));
    writeln(t,'ts='+parv[4]);
    if (strtoint(parv[5]) and chanflag_welcomemessage)<>0 then writeln(t,'welcome='+readtext_line(rt));
    s := readtext_line(rt);
    repeat
      firstspace := true;
      writepos   := 1;
      for counter := 1 to length(s) do begin
        if s[counter]=' ' then begin
          if firstspace then begin
            s[writepos] := ':';
            inc(writepos);
            firstspace := false;
          end;
        end else begin
          if writepos < counter then s[writepos] := s[counter];
          inc(writepos);
        end;
      end;
      setlength(s,writepos-1);
      writeln(t,'user='+s);
      s := readtext_line(rt);
    until copy(s,1,3)='---'
  until readtext_eof(rt);
  readtext_close(rt);
  close(t);
end.
